@import "/styles/font.css";

* {
  box-sizing: border-box;
}

body {
  /* margin-top: 60px; */
  margin: 0;
  width: 100%;
  font-weight: 100;
  overflow-x: hidden !important;
  background-color: white;
}
h1, h2, h3, h4, h5, h6, p {
  margin: 0;
  padding: 0;
  font-weight: 100;
}
button {
  font-family: inherit;
  border: none;
  cursor: pointer;
}
.top
{
  padding-top: 60px;
}
.yellow-line {
  width: 5px;
  background: goldenrod;
  display: block;
  margin-left: auto;
  margin-right: auto;
}
img.no-download-overlay {
  height: 100%;
  width: 100%;
  position: absolute;
  top: 0; bottom: 0; left: 0; right: 0;
  z-index: 2;
  content: url("/img/no-download.png");
}
img {
  vertical-align: bottom;
}
.golden-button {
  height: 40px;
  padding-left: 44px;
  padding-right: 44px;
  display: block;
  margin-left: auto;
  margin-right: auto;
  text-align: center;
  line-height: 40px;
  background-color: goldenrod;
  color: white;
  font-size: 20px;
  transition: 0.4s;
  font-family: 'din-neuzeit-grotesk';
}
.golden-button:hover {
  background-color: white;
  color: goldenrod;
}
.anchor {
  display: block;
  position: relative;
  top: -60px;
  visibility: hidden;
}




/* YELLOW LINE HEADER */
/* #region */
.yellow-line-header {
  background: white;
  height: 18em;
}
.yellow-line-header-title {
  color: #484848;
  font-size: 4em;
  text-align: center;
  position: absolute;
  bottom: 50%;
  left: 50px;
  margin-bottom: -1rem;
  padding-bottom: 0px;
  font-family: 'din-neuzeit-grotesk';
}
.yellow-line-header .yellow-line {
  height: 16rem;
  margin-top: -11rem;
  margin-bottom: 3rem;
  transform: translate(0%, 13rem);
  position:relative;
}

@media only screen and (max-width: 800px) {
  /* YELLOW-LINE HEADER */
  .yellow-line-header {
    height: 15em;
  }

  .yellow-line-header-title {
    bottom: 5px;
    position: absolute;
    left: 50%;
    transform: translate(-50%, 100%);
  }

  .yellow-line-header .yellow-line {
    height: 5rem;
    margin-top: -6rem;
    margin-bottom: 3rem;
    transform: translate(0%, 6rem);
    position: relative;
  }
}
/* #endregion */




/* INPUT FORM */
/* #region */
.form-container {
  background-color: #282828;
  padding: 60px;
  font-family: "HelveticaNeue-Light", "Helvetica Neue Light", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
  color: darkgray;
  position: relative;
  height: auto;
  /* height: 40em; */
}
.form-container .form-block {
  position: relative;
  display: inline-block;
  vertical-align: middle;
  width: 49%;
  padding: 0 50px 0 50px;
}
.form-container .form-title {
  font-family: 'din-neuzeit-grotesk';
  color: white;
}
.form-container .form-text {
  font-size: 150%;
  font-weight: 100;
}
input[type=text], select, textarea {
  width: 100%;
  padding: 12px;
  border: 6px solid darkgray;
  box-sizing: border-box;
  margin-top: 6px;
  margin-bottom: 16px;
  resize: vertical;
  background-color: #282828;
  color: white;
  font-size: 16px;
}
input[type=submit], .g-recaptcha {
  background-color: goldenrod;
  color: white;
  padding-top: 15px;
  padding-bottom: 10px;
  padding-left: 20px;
  padding-right: 20px;
  border: none;
  font-family: 'din-neuzeit-grotesk';
  font-size: x-large;
  -webkit-appearance: none;
  transition: all 0.4s;
}
input[type=submit]:hover, .g-recaptcha:hover {
  background-color: white;
  color: goldenrod;
}
.grecaptcha-badge {
  display: none;
}

@media only screen and (max-width: 800px) {
  /* INPUT FORM */
  .form-container {
    padding: 20px;
  }

  .form-container .form-block {
    width: 80%;
    margin-left: 10%;
    margin-right: 10%;
    padding: 0;
  }

  .form-container .form-desc {
    padding-top: 50px;
    padding-bottom: 20px;
  }

  .form-container .form-text {
    font-size: 150%;
  }

  .form-container .input-form {
    padding-bottom: 50px;
  }

}

@media only screen and (max-width: 550px) {
  /* FORM BLOCKS */
  .form-container .form-block {
    width: 95%;
    margin-left: 2.5%;
    margin-right: 2.5%;
  }

  .form-container .form-desc {
    padding-top: 20px;
  }

  .form-container .input-form {
    padding-bottom: 20px;
  }
}
/* #endregion */




/* INFO DROPDOWNS */
/* #region */
.info-dropdown {
  color: white;
  font-family: 'din-neuzeit-grotesk';
  position: relative;
  display: inline-block;
  width: calc(100% / 3);
  height: 200px;
  overflow: hidden;
  cursor: pointer;
  margin-right: -4px;
  margin-bottom: -8px;
}
.info-dropdown-img img {
  width: 100%;
  height: 200px;
  -o-object-fit: cover;
     object-fit: cover;
}
#info-dropdown-1 img {
  -o-object-position: 50% 20%;
     object-position: 50% 20%;
}
#info-dropdown-2 img {
  -o-object-position: 50% 40%;
     object-position: 50% 40%;
}
#info-dropdown-3 img {
  -o-object-position: 50% 20%;
     object-position: 50% 20%;
}
.info-dropdown-text {
  font-size: 4em;
  font-weight: 300;
  top: 0;
  left: 0;
  text-align: center;
  position: absolute;
  background-color: rgb(0,0,0,0.5);
  width: 100%;
  height: 100%;
  padding-top: 40px;
  transition: .4s;
}
.info-dropdown-text:hover {
  background-color: rgb(0,0,0,0.7);
}
.info-dropdown-arrow {
  position: absolute;
  bottom: 30px;
  left: 50%;
  transform: translate(-50%, 0);
}
.info-dropdown-arrow img {
  width: 50px;
}


/* INFO DROPDOWN DETAILS */

.info-dropdown-details {
  background-color: #282828;
  color: darkgray;
  width: 100%;
  padding: 50px 80px 50px 80px;
  position: relative;
  float: left;
}
.info-dropdown-details .text {
  width: 30%;
  float: left;
}
.info-dropdown-details h1 {
  color: white;
  font-family: 'din-neuzeit-grotesk';
}
.info-dropdown-details h2 {
  font-family: "HelveticaNeue-Light", "Helvetica Neue Light", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
  font-size: 120%;
}
.info-dropdown-details h3 {
  font-family: "HelveticaNeue-Light", "Helvetica Neue Light", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
  font-size: 100%;
}
.info-dropdown-details .info-dropdown-button,  .go-back-button {
  font-size: 24px;
  font-family: 'Open Sans Condensed', sans-serif;
  color: #ffffff;
  background-color: #65839d;
  padding-top: 0.3em;
  padding-bottom: 0.3em;
  padding-left: 0.6em;
  padding-right: 0.6em;
  transition: 0.4s;
  margin-right: 20px;
  margin-top: 10px;
  width: 100%;
}

.info-dropdown-details .info-dropdown-button:hover, .go-back-button:hover {
  /* background-color: steelblue; */
  background-color: rgb(184, 184, 184);
  color: white;
}
.info-dropdown-details .info-dropdown-images {
  width: 70%;
  float: left;
  top: 80px;
  right: 80px;
}
.info-dropdown-details .info-dropdown-images .image {
  position: relative;
  height: 20vw;
  padding: 15px;
  float: right;
}
.info-dropdown-details .info-dropdown-images img:not(.no-download-overlay) {
  position: relative;
  height: 100%;
  width: auto;
}

@media only screen and (max-width: 1200px) {
    /* INFO DROPDOWNS */
    .info-dropdown-text {
      font-size: 3em;
    }

    .info-dropdown-details .text {
      width: 50%;
    }

    .info-dropdown-details .info-dropdown-images {
      width: 50%;

    }

    .info-dropdown-details .info-dropdown-images .image {
      height: 25vw;
      padding: 5px;
    }
}

@media only screen and (max-width: 800px) {
  /* INFO DROPDOWNS */
  .info-dropdown-text {
    font-size: 2em;
  }

  .info-dropdown {
    height: 150px;
  }

  .info-dropdown-details .text {
    width: 100%;
  }

  .info-dropdown-details .info-dropdown-images {
    display: block;
    padding-top: 30px;
    float: left;
    width: 100%;

  }

  .info-dropdown-details .info-dropdown-images .image {
    height: 30vw;
    float: left;
  }

  .info-dropdown-details img.no-download-overlay {
    width: 100%;
    left: 0;
  }
}

@media only screen and (max-width: 700px) {

  /* INFO DROPDOWNS */
  .info-dropdown {
    display: block;
    width: 100%;
    height: 200px;
  }

  .info-dropdown-details {
    padding: 40px;
  }

  .info-dropdown-details .text {
    width: 100%;
  }

  .info-dropdown-details .info-dropdown-images .image {
    height: 50vw;
  }
}

@media only screen and (max-width: 550px) {
  /* INFO DROPDOWNS */
  .info-dropdown-details .info-dropdown-images .image {
    width: 100%;
    height: auto;
  }

  .info-dropdown-details .info-dropdown-images .image img:not(.no-download-overlay) {
    width: 100%;
    height: auto;
  }
}
/* #endregion */




/* TESTIMONIALS */
/* #region */
.testimonials {
  width: 100%;
  background-color: #4b4b4b;
  color: rgb(228, 228, 228);
  margin-top: 18px;
  /* overflow: hidden; */
  /* overflow: visible; */
  /* position: relative; */

}
.testimonials-content {
  height: 380px;
  overflow-x: scroll;
  overflow-y: hidden;
  white-space: nowrap;
  padding: 40px;
  padding-left: 15%;
  /* animation: scroll-testimonials 5s linear infinite; 15 seconds for one full loop */
  /* display: flex; */
  /* transform: translateX(-300%); */
  /* width: 100%; */
  overflow: hidden;
  display: flex;
}

/* REVIEWS */
.testimonials .review {
  display: inline-block;
  padding: 40px;
  width: 400px;
  text-align: center;
  position: relative;
  /* flex-shrink: 0; */
  flex: 0 0 100%;
}
.testimonials .group {
  flex: 0 0 100%;
  animation: scrolling 30s linear infinite;
  will-change: transform; /* Improve performance */
  transition: transform 0.5s ease-out; /* Add easing for pausing */
}
.testimonials:hover .group
{
  animation-play-state: paused;
}
@keyframes scrolling {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-100%);
  }
}

.testimonials .quotes {
  font-size: 170px;
  color: rgb(200, 160, 59);
  font-family: balqis;
  position: absolute;
  top: -40px;
  left: 0px;
}
.testimonials .caption {
  position: absolute;
  top: 70px;
  left: 0;
  width: 270px;
  height: 180px;
  overflow-y: auto;
  font-size: 16px;
  font-family: "HelveticaNeue-Light", "Helvetica Neue Light", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
  white-space: normal;
  padding-right: 20px; /* Add padding for the scrollbar */
  background: linear-gradient(to bottom, transparent, rgba(75, 75, 75, 0.8) 80%); /* Add gradient fading */
}
.testimonials .name {
  position: absolute;
  top: 280px;
  left: 0;
  width: 250px;
  height: 20px;
  overflow: hidden;
  font-size: 16px;
  font-family: "HelveticaNeue-Light", "Helvetica Neue Light", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
  white-space: nowrap;
  text-overflow: ellipsis;
}

@keyframes scroll-testimonials {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-100%);
  }
}

/* TESTIMONIALS CONTROLS */
.testimonials .button-container {
  width: 50px;
  position: absolute;
  top: 50%;
  z-index: 2;
}
.testimonials .button-container button {
  width: 40px;
  height: 40px;
  border-radius: 40px;
  background-color: white;
}
.testimonials .left-button-container {
  left: 20px;
  float: left;
}
.testimonials .left-button-container #left-button span {
  left: 2px;
}
.testimonials .right-button-container {
  right: 20px;
  float: right;
}
.testimonials .right-button-container #right-button span {
  left: 4px
}
.testimonials .arrow {
  margin: 0;
  display: block;
  height: 20px;
  position: relative;
  width: 20px;
}
.testimonials .arrow::after {
  border-bottom-style: solid;
  border-bottom-width: 3px;
  border-right-style: solid;
  border-right-width: 3px;
  content: '';
  display: inline-block;
  height: 12px;
  left: 0;
  position: absolute;
  top: 0;
  width: 12px;
  border-color: #4b4b4b;
  background-color: white;
}
.testimonials .arrow.is-right {
  transform: rotate(315deg);
}
.testimonials .arrow.is-left {
  transform: rotate(135deg);
}


/* #endregion */




/* CONTACT POPUP */
/* #region */
#contact-popup {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  display: none;
  z-index: 4;
}
#contact-popup .form-container {
  position: fixed;
  top: 10vh;
  margin: auto;
  margin-left: 15vw;
  width: 70vw;
  max-height: 85vh;
  overflow-y: scroll;
  box-shadow: 0px 0px 10px black;
}
.alert-close {
    position: absolute;
    color: #aaaaaa;
    font-size: 60px;
    font-weight: bold;
    padding: 5px;
    z-index: 5;
    cursor: pointer;
    right: 20px;
    top: 0px;
}
.alert-close:hover, .alert-close:focus {
    color: #000;
    text-decoration: none;
    cursor: pointer;
}
.form-button {
    margin-top: 10px;
    margin-right: 10px;
    background-color: goldenrod;
    color: white;
    padding-top: 15px;
    padding-bottom: 10px;
    padding-left: 20px;
    padding-right: 20px;
    border: none;
    font-family: 'din-neuzeit-grotesk';
    font-size: x-large;
    -moz-appearance: none;
         appearance: none;
    -webkit-appearance: none;
    cursor: pointer;
    transition: .4s;
}
.form-button:hover {
    background-color: gray;
    color: white;
}

@media only screen and (max-width: 1200px) {
  #contact-popup .form-container {
    width: 85vw;
    margin-left: 7.5vw;
  }
}

@media only screen and (max-width: 400px) {
  #contact-popup .form-container {
    width: 95%;
    margin: 0;
    top: 110px;
    left: 2.5%;
  }

  #contact-popup .form-container .form-text {
    font-size: 115%;
  }
}
/* #endregion */




/* INFO PAGE & Home Page !!! */
/* #region */
.info-page.container {
    display: flex;
    flex-wrap: wrap;
    position:relative;
    margin-left: auto;
    margin-right: auto;
    background: #242424;
    width: 100%;
}
.info-page .row {
    flex: 100%;
    max-width: 100%;
    background-size: cover;
}
.info-page .background-overlay {
    background-color: rgba(0, 0, 0, 0.5);
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    padding-top: 80px;
    padding-bottom: 80px;
}
.info-page .title {
    text-align: center;
    color: white;
    margin-bottom: 10px;
    font-family: 'din-neuzeit-grotesk';
    font-size: 2em;
}
.info-page .desc {
    text-align: center;
    font-size: 1.1em;
    margin-left: auto;
    margin-right: auto;
    width: 20em;
    margin-bottom: 25px;
    font-family: "HelveticaNeue-Light", "Helvetica Neue Light", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
    line-height: 1.5em;
    letter-spacing: 1px;
    color: #dddddd;
}
/* #endregion */





/* PAGE LOADING OVERLAY */
/* #region */
.page-loading-background, .video-loading-background {
  position: fixed;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
  bottom: 0;
  right: 0;
  background-color: rgba(200, 200, 200, 0.7);
  backdrop-filter: blur(10px);
  -webkit-backdrop-filter: blur(10px);
  z-index: 8;
}
.video-loading-background {
  position: absolute;
  z-index: 2;
}
.page-loading {
  width: 70px;
  height: 70px;
  text-align: center;
}
.page-loading::after {
  content: " ";
  display: block;
  width: 70px;
  height: 70px;
  border-radius: 50%;
  border: 6px solid #fff;
  border-color: #fff transparent #fff transparent;
  box-sizing: border-box;
  -webkit-animation: page-loading 1.2s linear infinite;
          animation: page-loading 1.2s linear infinite;
}

@-webkit-keyframes page-loading {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

@keyframes page-loading {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

.page-loading-subitem {
  font-family: futura;
  text-align: center;
}
.page-loading-text {
  color: white;
  width: 180px;
  height: auto;
  margin-top: 20px;
}
.page-loading-button {
  color: black;
  background-color: white;
  width: 100px;
  height: 50px;
  margin-top: 20px;
  transition: 0.4s all;
}
.page-loading-button:hover {
  background-color: gray;
  color: white;
}
/* #endregion */





/* IMAGE POPUP */
/* #region */
.gallery-image-popup {
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  position: fixed;
  background-color: rgba(0,0,0,0.5);
  z-index: 4;
}
.gallery-image-popup-box {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  max-width: 90%;
  max-height: calc(100vh - 240px);
  background-color: white;
  z-index: 4;
  font-family: raleway, sans-serif;
  border-radius: 10px;
  box-shadow: 0px 0px 40px rgba(0, 0, 0, 0.65);
  /* overflow: hidden; */
}
.gallery-image-popup-box .image {
  width: 100%;
  height: 100%;
  position: relative;
}
.gallery-image-popup-box .image img {
  max-width: 90vw;
  max-height: calc(100vh - 240px);
  vertical-align: bottom;
  border-radius: 0 0 10px 10px;
}
.gallery-image-popup-header {
  margin-bottom: 10px;
  margin-left: 20px;
  margin-top: 10px;
  display: flex;
  justify-content: space-between;
}
.gallery-image-popup-header .title {
  font-weight: bold;
}
.gallery-image-popup-header .close {
  cursor: pointer;
  transition: all 0.3s;
  margin-right: 20px;
}
.gallery-image-popup-actions {
  text-align: center;
  /* font-family: 'lulo-clean-one-bold'; */
  font-family: "Helvetica Neue LT W01_41488878";
  font-style: italic;
  font-size: 16px;
  height: 40px;
  background-color: white;
  position: fixed;
  bottom: 0;
  /* width: 100%; */
  transition: 0.4s;
  /* position: relative; */
  -moz-user-select: none;
       user-select: none; /* Prevent text selection around images */
  -webkit-user-select: none; /* Safari */
  -ms-user-select: none; /* IE 10 and IE 11 */

  position: absolute;
  bottom: 20px;
  left: 0;
  right: 0;
  margin: auto;
  width: fit-content;
  border-radius: 25px;
}
.gallery-image-popup-actions *
{
  position : relative;
  /* top: 7px; */
  top: 10px;
  /* font-size: 14px; */
  transition: 0.4s;
  margin: 0 20px;
}
.gallery-image-popup-actions span {
  color: #505f6a;
  font-family: Arial, Helvetica, sans-serif;
}
.gallery-image-popup-actions a {
  cursor: pointer;
  text-decoration: none;
  color: rgb(31, 31, 31);
  z-index: 0;
}
.gallery-image-popup-actions a:hover
{
  color: rgb(224, 224, 224);
}

.gallery-image-popup-actions .slideshow-button-active:before {
  content: ''; /* Ensures the pseudo-element is rendered */
  position: absolute;
  width: calc(100% + 20px); /* 10px wider than the main element */
  height: calc(100% + 10px); /* 10px taller than the main element */
  background-color: green;
  border-radius: 10px;
  top: -5px; /* Position it below the main element */
  left: -10px; /* Center the width adjustment */
  z-index: -1;
  /* display: none; */
}


.gallery-image-popup-actions .arrow:before,
.gallery-image-popup-actions .arrow:after {
  background-color: #000000;
  content: "";
  display: block;
  height: 1px;
  position: absolute;
  top: 50%;
  left: 0;
  /* transition: all 0.2s;
  transition-delay: 0; */
  width: 8px;
  transition-delay: 0.3s;
  transition: all 0.5s;
}
.gallery-image-popup-actions .arrow:hover::before,
.gallery-image-popup-actions .arrow:hover:after {
  /* background-color: rgb(47, 70, 141); */
  width: 12px;
  height: 2px;
  left: -2px
}

.gallery-image-popup-actions .arrow.left:before {
  transform-origin: top left;
  transform: rotate(-40deg);
}
.gallery-image-popup-actions .arrow.left:after {
  transform-origin: bottom left;
  transform: rotate(40deg);
}
.gallery-image-popup-actions .arrow.right:before {
  transform-origin: top right;
  transform: rotate(-40deg);
}
.gallery-image-popup-actions .arrow.right:after {
  transform-origin: bottom right;
  transform: rotate(40deg);
}

@media only screen and (max-width: 800px) {
  .gallery-image-popup-box {
    max-width: 95%;
  }

  .gallery-image-popup-box .image img {
    max-width: 95vw;
  }

}
@media (max-width: 600px) {
  .gallery-image-popup-actions * {
    margin: 0 10px;
    /* font-size: 12px; */
  }
}
/* #endregion */





/* BLURRED PAGE BACKGROUND IMAGE */
/* #region */
.blurred-page-background-img {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  overflow: hidden;
  z-index: -1;
  background: #000;
}

.blurred-page-background-img img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  opacity: 0;
  /* Start with invisible */
  transition: opacity 1s ease;
  /* Smooth transition */
  position: absolute;
  /* Stack images on top of each other */
  top: 0;
  left: 0;
  filter: blur(8px);
  transform: scale(1.05);
}

.blurred-page-background-img img.active {
  opacity: 0.6;
  /* Adjust opacity to darken the image slightly */
}
/* #endregion */



/* Parallax */
/* #region */
.js-parallax-container {
  position: relative;
}

.js-parallax-lower {
  position: absolute;
  z-index: -1;
}

.js-parallax-upper {
  position: absolute;
  width: 100vw;
}
/* #endregion */




/* SCROLL TO TOP BUTTON */
/* #region */
.scroll-to-top {
  position: fixed;
  bottom: 10px;
  right: 10px;
  width: 40px; /* Adjust size as needed */
  height: 40px;
  background-color: white;
  color: black;
  border-radius: 8px;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.2);
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 24px; /* Adjust size as needed */
  cursor: pointer;
  transition: all 0.6s ease;
  z-index: 1000;
  opacity: 0;
  pointer-events: none;
}

.scroll-to-top:hover {
  background-color: black;
  color: white;
}
/* #endregion */




/* ---------- CLEARFIX ---------- */
.gallery-sq::after,
.gallery-rct::after,
.gallery-client::after,
.order-gallery::after,
.clearfix::after {
  content: "";
  display: table;
  clear: both;
}

/* .gallery-sq,
.gallery-rct,
.gallery-client,
.order-gallery,
.clearfix {
  display: flow-root;
} */